Subject: What's in a name? (was: GSS SPI/API)

From: Michael Smith <[email-masked]>
Date: Wed, 27 Oct 1999 09:50:38 -0500

At 03:38 PM 10/26/99 -0700, Mayank Upadhyay <[email-masked]> wrote:

>Sun would like to work with the IETF to define the specification for the
>standard API that Sun will ship. In other words, Sun will ship
>org.ietf.jgss.  Applications that need to be portable will instantiate
>classes from org.ietf.jgss because that is the IETF defined standard.

So the intent here is that a package bearing the IETF's name 
will in fact be something produced by Sun, and "applications
that want to be portable" will have to use this vendor-provided
package? This seems to put the IETF in the position of saying, 
in effect, that the "open standard" is... so-and-so's code. 
Perhaps older IETF hands than I can tell me whether this is
usual or not. 

Perhaps I was a bit too oblique in an earlier e-mail when 
I tried to articulate a concern which some of us feel about
the future of Java and its relationship with standards 
bodies like the IETF. Java has been a liberating 
force so far. But because Java is, in a sense, Private
Property, there will always be a risk that it could 
turn around and become a means for renewed single-vendor
control of the programming environment. I personally 
feel that the IETF should avoid, where possible, doing 
anything that might tend toward this outcome.  

--Michael Smith
  [email-masked]

==========================================================================
This message was posted through the Stanford campus mailing list
server.  If you wish to unsubscribe from this mailing list, send the
message body of "unsubscribe ietf-cat-wg" to [email-masked]